Index: /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 592)
@@ -89,4 +89,34 @@
 #====================================================
 
+# ============ CESIUM START ============ #
+
+#====================================================
+#- Mirror libIGCM from mercure to cesium if needed
+#ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
+#if [ ! ${ROOTSYS} = "home" ] ; then
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
+#else
+#  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+#fi
+
+#====================================================
+#- libIGCM_POST
+#if ( ${MirrorlibIGCM} ) ; then
+#  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
+#  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
+#else
+#  typeset -r libIGCM_POST=${libIGCM}
+#fi
+
+# ============ CESIUM  END  ============ #
+
+#====================================================
+#- MirrorlibIGCM uncomment for frontend
+typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
+
+#====================================================
+#- libIGCM_POST uncomment for frontend
+typeset -r libIGCM_POST=${libIGCM}
+
 #====================================================
 #- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
@@ -98,36 +128,9 @@
 
 #====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
-
-# ============ CESIUM START ============ #
-
-#====================================================
-#- Mirror libIGCM from mercure to cesium if needed
-ROOTSYS=$( echo ${libIGCM} | gawk -F"/" '{print $3}' )
-if [ ! ${ROOTSYS} = "home" ] ; then
-  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=true}
-else
-  typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-fi
-
-#====================================================
-#- libIGCM_POST
-if ( ${MirrorlibIGCM} ) ; then
-  PATHlibIGCM=$( echo ${libIGCM} | gawk -F"${LOGIN}/" '{print $2}' | sed -e "s&/libIGCM&&" )
-  typeset -r libIGCM_POST=${HOME}/MIRROR/${PATHlibIGCM}/libIGCM
-else
-  typeset -r libIGCM_POST=${libIGCM}
-fi
-
-# ============ CESIUM  END  ============ #
-
-#====================================================
-#- MirrorlibIGCM uncomment for frontend
-#typeset -r MirrorlibIGCM=${MirrorlibIGCM:=false}
-
-#====================================================
-#- libIGCM_POST uncomment for frontend
-#typeset -r libIGCM_POST=${libIGCM}
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
 
 #====================================================
@@ -139,4 +142,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -229,34 +236,34 @@
 # ============ FRONTEND START ============ #
 
-#  /bin/ksh <tmp_IGCM_sys_RshPost_$$
-#  if [ $? -gt 0 ] ; then
-#    echo "IGCM_sys_RshPost : erreur."
-#    IGCM_debug_Exit "IGCM_sys_RshPost"
-#  fi
-#  \rm tmp_IGCM_sys_RshPost_$$
+  /bin/ksh <tmp_IGCM_sys_RshPost_$$
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_RshPost : erreur."
+    IGCM_debug_Exit "IGCM_sys_RshPost"
+  fi
+  \rm tmp_IGCM_sys_RshPost_$$
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-  typeset NB_ESSAI DELAI status i
-  # number of tentative
-  NB_ESSAI=10
-  # time delay between tentative
-  DELAI=10
-  (( i = 0 ))
-  while [ $i -lt $NB_ESSAI ] ; do
-    ssh -t mercure01 ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
-    status=$?
-    if [ ${status} -gt 0 ]; then
-      IGCM_debug_Print 2 "IGCM_sys_RshPost : ssh failed ${i}/${NB_ESSAI}"
-      IGCM_debug_Print 2 "IGCM_sys_RshPost : sleep ${DELAI} seconds and try again."
-      sleep $DELAI
-    else
-      break
-    fi
-    (( i = i + 1 ))
-  done 
-  # delete temporary file
-  /bin/rm tmp_IGCM_sys_RshPost_$$
+#  typeset NB_ESSAI DELAI status i
+#  # number of tentative
+#  NB_ESSAI=10
+#  # time delay between tentative
+#  DELAI=10
+#  (( i = 0 ))
+#  while [ $i -lt $NB_ESSAI ] ; do
+#    ssh -t mercure01 ssh cesium /bin/ksh <tmp_IGCM_sys_RshPost_$$
+#    status=$?
+#    if [ ${status} -gt 0 ]; then
+#      IGCM_debug_Print 2 "IGCM_sys_RshPost : ssh failed ${i}/${NB_ESSAI}"
+#      IGCM_debug_Print 2 "IGCM_sys_RshPost : sleep ${DELAI} seconds and try again."
+#      sleep $DELAI
+#    else
+#      break
+#    fi
+#    (( i = i + 1 ))
+#  done 
+#  # delete temporary file
+#  /bin/rm tmp_IGCM_sys_RshPost_$$
 # ============ CESIUM  END  ============ #
 
@@ -623,25 +630,25 @@
 # ============ FRONTEND START ============ #
 
-#  /usr/bin/nqsII/qsub -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
+  /usr/bin/nqsII/qsub -q scalaire -o ${POST_DIR}/${Script_Post_Output}.out ${libIGCM}/$1.job -v ${listVarEnv}
 
 # ============ FRONTEND  END  ============ #
 
 # ============ CESIUM START ============ #
-  typeset NB_ESSAI DELAI status i
-  # number of tentative
-  NB_ESSAI=10
-  # time delay between tentative
-  DELAI=10
-  (( i = 0 ))
-  while [ $i -lt $NB_ESSAI ] ; do
-    /usr/local/bin/ccc_msub -o ${POST_DIR}/${Script_Post_Output}.out -e ${POST_DIR}/${Script_Post_Output}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
-    status=$?
-    if [ ${status} -gt 0 ]; then
-      sleep $DELAI
-    else
-      break
-    fi
-    (( i = i + 1 ))
-  done 
+#  typeset NB_ESSAI DELAI status i
+#  # number of tentative
+#  NB_ESSAI=10
+#  # time delay between tentative
+#  DELAI=10
+#  (( i = 0 ))
+#  while [ $i -lt $NB_ESSAI ] ; do
+#    /usr/local/bin/ccc_msub -o ${POST_DIR}/${Script_Post_Output}.out -e ${POST_DIR}/${Script_Post_Output}.e.out -E "-v ${listVarEnv}" ${libIGCM_POST}/$1.job
+#    status=$?
+#    if [ ${status} -gt 0 ]; then
+#      sleep $DELAI
+#    else
+#      break
+#    fi
+#    (( i = i + 1 ))
+#  done 
 # ============ CESIUM  END  ============ #
 
@@ -950,5 +957,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1227,5 +1234,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1241,5 +1249,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
Index: /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 591)
+++ /branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 592)
@@ -92,5 +92,5 @@
 . /home/cont003/p86ipsl/.atlas_env_titane_ksh
 
-module switch nco/4.0.8 nco/3.9.4_netcdf4
+module switch nco/3.9.4 nco/3.9.4_netcdf4
 
 #====================================================
@@ -102,16 +102,4 @@
 # Host specific DIRECTORIES
 #====================================================
-
-#====================================================
-#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
-typeset -r R_EXE="${MODIPSL}/bin"
-
-#====================================================
-#- SUBMIT_DIR : submission dir
-typeset SUBMIT_DIR=${SUBMIT_DIR:=${LS_SUBCWD}}
-
-#====================================================
-#- ARCHIVE
-typeset -r ARCHIVE=${DMFDIR}
 
 # ============ CESIUM START ============ #
@@ -146,4 +134,19 @@
 
 #====================================================
+#- R_EXE   (==> BIN_DIR = ${MODIPSL}/bin )
+typeset -r R_EXE="${MODIPSL}/bin"
+
+#====================================================
+#- SUBMIT_DIR : submission dir
+typeset SUBMIT_DIR=${SUBMIT_DIR:=${LS_SUBCWD}}
+
+#====================================================
+#- ARCHIVE (dedicated to large files)
+typeset -r ARCHIVE=${CCCSTOREDIR}
+
+#- ARCHIVE (dedicated to small/medium files)
+typeset -r STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -153,4 +156,8 @@
 #- R_OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+
+#====================================================
+#- R_FIG (hosting figures : monitoring and atlas, and/or small files)
+typeset -r R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -1038,5 +1045,5 @@
     # USUAL WAY
     # add dmfind/dmget (to demigrate all offline files) :
-    dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
+    #dmfind $1 -state MIG -o -state OFL -o -state PAR | dmget
     \cp -r $1 $2 > out_rsync 2>&1
     RET=$?
@@ -1351,5 +1358,6 @@
     fi
 
-    dmget ${dm_liste[*]} > out_rsync 2>&1
+    #dmget ${dm_liste[*]} > out_rsync 2>&1
+    ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     RET=$?
     if [ ${RET} -gt 0 ] ; then
@@ -1365,5 +1373,6 @@
     #	sleep 30
     #	echo "We try another time"
-    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    ##	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #   ccc_hsm get ${dm_liste[*]} > out_rsync 2>&1
     #	RET=$?
     #	if [ ${RET} -gt 0 ] ; then
@@ -1514,10 +1523,12 @@
   RET=0
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+
+#    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
     RET=$?
     
@@ -1548,11 +1559,12 @@
   RET=0
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
-      echo "Nothing has been done."
-      return
-    fi
-    #
-    dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+
+#    if [ ! -d ${R_SAVE}/${1} ] ; then
+#      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
+#      echo "Nothing has been done."
+#      return
+#    fi
+
+    /ccc/cont003/home/dsm/p86maf/bin/dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
     RET=$?
 
@@ -1581,14 +1593,29 @@
     echo "IGCM_sys_Put_Dods :" $@
   fi
+  set -vx
+  typeset RET
   if [ $DRYRUN = 0 ]; then
-    if [ ! -d ${R_SAVE}/${1} ] ; then
-      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+    if ( [ ! -d ${R_SAVE}/${1} ] && [ ! -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : None of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} DOES NOT EXIST."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} DOES NOT EXIST."
       IGCM_debug_PopStack "IGCM_sys_Put_Dods"
       return
     fi
 
-    typeset RET
-	#
-    cd ${R_SAVE}
+    if ( [ -d ${R_SAVE}/${1} ] && [ -d ${R_FIGR}/${1} ] ) ; then
+      echo "WARNING IGCM_sys_Put_Dods : Both of the following directories exist. Exactly one should."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_SAVE}/${1} EXISTS."
+      echo "WARNING IGCM_sys_Put_Dods : ${R_FIGR}/${1} EXISTS."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+    #
+    if [ -d ${R_SAVE}/${1} ] ; then
+      cd ${R_SAVE}
+    elif [ -d ${R_FIGR}/${1} ] ; then
+      cd ${R_FIGR}
+    fi
+
     IGCM_sys_Dods_Rm ${1}
     IGCM_sys_Dods_Cp ${1}
@@ -2086,5 +2113,5 @@
     echo "IGCM_sys_ncrcat :" $@
   fi
-  ncrcat $@
+  ncrcat --omp_num_threads 2 $@
   if [ $? -gt 0 ] ; then
     echo "IGCM_sys_ncrcat : erreur ${@}."
